---
title: Window.outerHeight
slug: Web/API/Window/outerHeight
tags:
  - API
  - CSSOM View
  - NeedsContent
  - Property
  - Reference
---
<div>{{APIRef}}</div>

<p>The <strong><code>Window.outerHeight</code></strong> read-only property returns the height in pixels of the whole browser window, including any sidebar, window chrome, and window-resizing borders/handles.</p>

<h2 id="Notes">Notes</h2>

<p>To change the size of a window, see {{domxref("window.resizeBy()")}} and {{domxref("window.resizeTo()")}}.</p>

<p>To get the inner height of a window, i.e. the height of the page being displayed, see {{domxref("window.innerHeight")}}.</p>

<h3 id="Graphical_example">Graphical example</h3>

<p>The following figure shows the difference between <code>outerHeight</code> and <code>innerHeight</code>.</p>

<p><img alt="innerHeight vs outerHeight illustration" src="/@api/deki/files/213/=FirefoxInnerVsOuterHeight2.png"></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-outerheight', 'Window.outerHeight') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.outerHeight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.innerHeight")}}</li>
 <li>{{domxref("window.innerWidth")}}</li>
 <li>{{domxref("window.outerWidth")}}</li>
 <li>{{domxref("window.resizeBy()")}}</li>
 <li>{{domxref("window.resizeTo()")}}</li>
</ul>
